=== debian/changelog ===
amarok (2.6~beta1+75.g47e75df-1) unstable; urgency=low

  * New upstream development snapshot (very close 2.6 release).
  * Override lintian embedded-library: zlib error. It comes from MySQLe.
  * Drop "upgrading from 1.4" and "upgrading to 2.2" sections from
    README.Debian. They are no longer relevant.
  * Drop libxine1-ffmpeg from amarok Suggests. It is no longer relevant as
    there is no Phonon Xine backend anymore.
  * Update information in debian/not-installed.
  * Lengthen descriptions of amarok-common and amarok-doc packages a bit.
  * Disable LikeBack by default by shipping appropriate amarokrc.

 -- Modestas Vainius <modax@debian.org>  Fri, 29 Jun 2012 02:51:17 +0300

amarok (2.6~beta1-1) experimental; urgency=low

  * New upstream development release (2.5.90).
  * Drop upstream_fix_lyrics_autorefresh_in_some_cases.patch, merged upstream.
  * Adapt debian_find_mysql_fix.diff to upstream changes.
  * Update debian_fix_doc_nl_build.diff patch to fix a new build problem with
    KDE 4.7, require kdelibs5-dev 4:4.7.
  * Update install files.
  * Remove ${perl:Depends} from amarok-doc Depends, not needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 03 Jun 2012 01:17:19 +0300

amarok (2.5.0-3) unstable; urgency=low

  * Depend on libmysql-pic 5.5.23+dfsg so we can drop libssl-dev from
    Build-Depends.
  * Compress all deb packages with xz, not just amarok-dbg.
  * Split off Amarok Handbook into amarok-doc package.
  * Update debian/copyright.
  * Fix unsafe argument assignment in the debian_mysqle_force_defaults_file
    patch. Thanks to Pino Toscano for heads up.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 19:24:16 +0300

amarok (2.5.0-2) unstable; urgency=low

  * Drop mysql-server-5.1 from Build-Depends-Indep. mysql-server-core-5.1 was
    split off long ago (it's in squeeze).
  * Prefer mysql-server-core-5.5 in Build-Depends-Indep. Alternatively depend
    on the mysql-server-core virtual package.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Since the package is compat=9, rebuild againt debhelper 9.20120419 should
    enable hardening flags. (Closes: #653354)
  * Improve debian_find_mysql_fix.diff to work with Debian libmysqld-pic
    5.5.23.
  * Add libssl-dev and libaio-dev [linux-any] to Build-Depends because they are
    needed for libmysqld-pic 5.5.23.
  * Force MySQLe to use our custom defaults file. This makes MySQLe independent
    from system MySQL configuration. (Closes: #672207, #673403)
    Patch debian_mysqle_force_defaults_file.diff
  * Bump debhelper build dependency to >= 9.

 -- Modestas Vainius <modax@debian.org>  Mon, 21 May 2012 20:38:19 +0300
