## amarok 2.6.0

=== debian/changelog ===
amarok (2:2.6.0-0ubuntu2) quantal; urgency=low

  * Build-dep on libgpod-dev not libgpod-dev-nogtk as it
    no longer depends on gtk LP: #260091

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Aug 2012 11:20:49 +0100

amarok (2:2.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Recommend media-player-info

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Aug 2012 11:08:28 +0100

amarok (2:2.6~rc1-0ubuntu2) quantal; urgency=low

  * remove spectrum analyzer files from amarok.install, already in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 15:15:44 +0100

amarok (2:2.6~rc1-0ubuntu1) quantal; urgency=low

  * New RC release 2.5.96

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Aug 2012 10:36:40 +0100

amarok (2:2.6~beta1-1ubuntu2) quantal; urgency=low

  * Add 0001-port-to-liblastfm1-api.patch from upstream (target 2.7) fixing
    compatibiity with liblastfm1, fairly trivial and simple patch (LP: #1015526)
  * Don't depend on now removed kdemultimedia-dev (is not used anymore anyway)
  * Bump liblastfm build dep to 1.0

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 20 Jun 2012 14:04:18 +0200

amarok (2:2.6~beta1-1ubuntu1) quantal; urgency=low

  * Merge from Debian experimental, remaining changes: (LP: 1008645)
    - Don't build-depend on libavformat-dev and libofa0-dev as libavcodec*
      is not allowed on cd images.
    - Don't build-dep on libqt4-opengl-dev on armel and armhf and install
      file manually in debian/rules
    - build-dep on libmygpo
    - Add epoch "2:" to the version number.
    - More complete not-installed
    - Keep build-dep libmysqld-pic at 5.1.36-2 (new version not yet  in archive)
    - Do not manually compress with xz, we handle this in pkg-kde and explicitly
      doing it prevents global control
  * Do not suggest libxine1-ffmpeg as this should have been in the Phonon
    backend to begin with and phonon-xine is no longer used anyway.
  * amarok-common breaks amarok (<< 2.6~beta1-1ubuntu1~) due to wrongly
    packaged desktop files in a previous release
  * Drop patches applied upstream:
    - kubuntu_Make-OpenGl-a-soft-dependency.diff
    - kubuntu_CMake-Move-occurence-of-OPENGL_INCLUDE_DIR-var.diff
    - kubuntu_kdelibs4.8_context_view.diff
  * Refreshed patch kubuntu_mysql_pic_library_path.diff
  * amarok-doc to Break and Replace all previous amarok-help-* packages
    having one big package and keep the diff small was deemed more reasonable
    on IRC

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 05 Jun 2012 15:43:51 +0200

amarok (2:2.5.0-0ubuntu5) precise; urgency=low

  * Install the spectrum-analyzer context applet.
  * Don't export KUBUNTU_DESKTOP_POT anymore.
  * Move localized handbooks into own packages named amarok-help-$lang.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 12 Feb 2012 13:33:03 +0100

amarok (2:2.5.0-0ubuntu4) precise; urgency=low

  * Add kubuntu_kdelibs4.8_context_view.diff from upstream for
    https://bugs.kde.org/290123 'Broken context view'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Jan 2012 10:52:46 +0000

amarok (2:2.5.0-0ubuntu3) precise; urgency=low

  * Fix typos in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 14 Jan 2012 15:03:23 +0000

amarok (2:2.5.0-0ubuntu2) precise; urgency=low

  * Add patch kubuntu_Make-OpenGl-a-soft-dependency.diff and
    kubuntu_CMake-Move-occurence-of-OPENGL_INCLUDE_DIR-var.diff
    make OpenGL optional, thanks to Kevin Funk
  * Don't build-dep on libqt4-opengl-dev on armel and armhf and install
    file manually in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2012 18:06:50 +0000

amarok (2:2.5.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Use mysql 5.5 build-dep
  * Add kubuntu_mysql_pic_library_path.diff because mysql_config no longer
    reports mysql_pic library now that mysqlclient has moved

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Dec 2011 17:44:37 +0000

amarok (2:2.4.90-0ubuntu1~ppa2) oneiric; urgency=low

  * Fix build dependency on libmygpo-qt-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Nov 2011 23:18:47 +0000

amarok (2:2.4.90-0ubuntu1~ppa1) oneiric; urgency=low

  * New upstream beta release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Nov 2011 21:01:31 +0000

amarok (2:2.4.3-1ubuntu3) UNRELEASED; urgency=low

  * Fix kubuntu-devel address in maintainer field.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 07 Nov 2011 09:33:49 +0100
