=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
@@ -9,23 +10,25 @@
  kdelibs5-dev (>= 4:4.7), libsoprano-dev (>= 2.1.67),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libnjb-dev, libifp-dev, libmtp-dev (>= 1.0.0), libqjson-dev,
- libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
- libmysqld-pic (>= 5.5.23+dfsg), libwrap0-dev,
- libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
- libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3),
- libavformat-dev (>= 4:0.5), libofa0-dev, libaio-dev [linux-any]
+ libglib2.0-dev, libgpod-dev (>= 0.8.0),
+ libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
+ libqt4-opengl-dev [!armel !armhf], libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
+ libgtk2.0-dev, libqca2-dev, liblastfm-dev (>= 1.0),
+ libmygpo-qt-dev (>= 1.0.5), libaio-dev [linux-any]
 Build-Depends-Indep: mysql-server-core-5.5 | mysql-server-core
 Standards-Version: 3.9.3
 Homepage: http://amarok.kde.org
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
+XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
 
 Package: amarok
 Architecture: any
 Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends},
  libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
-Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0)
+Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), media-player-infoxs
 Suggests: amarok-doc (>= ${source:Version}), libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql,
  moodbar
 Description: easy to use media player based on the KDE Platform
@@ -59,25 +62,45 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: amarok (>= ${source:Version})
+Replaces: amarok (<< 2.6~beta1-1ubuntu1~)
+Breaks: amarok (<< 2.6~beta1-1ubuntu1~)
 Description: architecture independent files for Amarok
  This package contains architecture independent files needed for Amarok to run
  properly. Therefore, unless you have 'amarok' package of the same version
  installed, you will hardly find this package useful.
- .
- Amarok is a powerful music player with an intuitive interface.
 
 Package: amarok-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: amarok-common (<= 2.5.0-2)
-Breaks: amarok-common (<= 2.5.0-2)
+Replaces: amarok-common (<= 2.5.0-2),
+ amarok-help-de (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2.6~beta1-1ubuntu1~) 
+Breaks: amarok-common (<= 2.5.0-2),
+ amarok-help-de (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2.6~beta1-1ubuntu1~)
 Recommends: amarok (>= ${source:Version})
 Description: Amarok documentation (Handbook)
- This package contains Amarok user documentation in various languages. It can be
- opened from the application menu Help -> Amarok Handbook.
- .
- Amarok is a powerful music player with an intuitive interface.
+ This package contains Amarok user documentation. It can be opened from the
+ application menu Help -> Amarok Handbook.
 
 Package: amarok-utils
 Section: utils
