=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,12 @@
 
 override_dh_install:
 	dh_install
+ifeq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
+	dh_install -pamarok --ignore=debian/amarok.install usr/lib/kde4/amarok_context_applet_spectrum_analyzer.so
+	dh_install -pamarok --ignore=debian/amarok.install usr/share/kde4/services/amarok-context-applet-spectrum-analyzer.desktop
+	dh_install -pamarok --ignore=debian/amarok.install usr/lib/kde4/amarok_data_engine_spectrum_analyzer.so
+	dh_install -pamarok --ignore=debian/amarok.install usr/share/kde4/services/amarok-data-engine-spectrum-analyzer.desktop
+endif
 	# Copy English errmsg.sys from mysql-server-core package
 	if [ -d debian/amarok-common ]; then \
 	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
@@ -18,9 +24,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs "-Xusr/lib/kde4/*"
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 %:
 	dh $@ --with kde --parallel --dbg-package=amarok-dbg
