## amarok 2.7.0

=== debian/changelog ===
amarok (2:2.7.0-0ubuntu2) raring; urgency=low

  * Add missing epoch to several breaks/replaces versions

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 17 Feb 2013 01:06:45 +0100

amarok (2:2.7.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * Remove spectrum analyzer file from debian/rules, no longer upstream
  * Add build-dep on libofa0-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:06:21 +0000

amarok (2:2.6.90-0ubuntu3) raring; urgency=low

  * remove spectrum analyzer files from amarok.install, already in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jan 2013 10:46:42 +0000

amarok (2:2.6.90-0ubuntu2) raring; urgency=low

  * Install libamarok_service_lastfm_shared.so, required by
    the last.fm plugin

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 16 Dec 2012 17:00:58 +0000

amarok (2:2.6.90-0ubuntu1) raring; urgency=low

  * New upstream release [LP: #1090689]
    - Drop 0001-port-to-liblastfm1-api.patch
    - Add nepomuk-core-dev, clamz as build-deps
    - Update install files
    - Update not-installed
    - Update watch file

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 15 Dec 2012 15:24:07 +0000

amarok (2:2.6.0-0ubuntu3) raring; urgency=low

  * Fix typo ( media-player-infoxs => media-player-info )

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 14 Nov 2012 15:47:00 +0000
