=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
  libqt4-opengl-dev [!armel !armhf], libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
  libgtk2.0-dev, libqca2-dev, liblastfm-dev (>= 1.0),
- libmygpo-qt-dev (>= 1.0.5), libaio-dev [linux-any]
+ libmygpo-qt-dev (>= 1.0.5), libaio-dev [linux-any],
+ clamz, nepomuk-core-dev, libofa0-dev
 Build-Depends-Indep: mysql-server-core-5.5 | mysql-server-core
 Standards-Version: 3.9.3
 Homepage: http://amarok.kde.org
@@ -28,7 +29,7 @@
 Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends},
  libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
-Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), media-player-infoxs
+Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), media-player-info
 Suggests: amarok-doc (>= ${source:Version}), libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql,
  moodbar
 Description: easy to use media player based on the KDE Platform
@@ -62,8 +63,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: amarok (>= ${source:Version})
-Replaces: amarok (<< 2.6~beta1-1ubuntu1~)
-Breaks: amarok (<< 2.6~beta1-1ubuntu1~)
+Replaces: amarok (<< 2:2.6~beta1-1ubuntu1~)
+Breaks: amarok (<< 2:2.6~beta1-1ubuntu1~)
 Description: architecture independent files for Amarok
  This package contains architecture independent files needed for Amarok to run
  properly. Therefore, unless you have 'amarok' package of the same version
@@ -73,30 +74,30 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: amarok-common (<= 2.5.0-2),
- amarok-help-de (<< 2.6~beta1-1ubuntu1~),
- amarok-help-es (<< 2.6~beta1-1ubuntu1~),
- amarok-help-et (<< 2.6~beta1-1ubuntu1~),
- amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
- amarok-help-it (<< 2.6~beta1-1ubuntu1~),
- amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
- amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
- amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
- amarok-help-uk (<< 2.6~beta1-1ubuntu1~) 
-Breaks: amarok-common (<= 2.5.0-2),
- amarok-help-de (<< 2.6~beta1-1ubuntu1~),
- amarok-help-es (<< 2.6~beta1-1ubuntu1~),
- amarok-help-et (<< 2.6~beta1-1ubuntu1~),
- amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
- amarok-help-it (<< 2.6~beta1-1ubuntu1~),
- amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
- amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
- amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
- amarok-help-uk (<< 2.6~beta1-1ubuntu1~)
+Replaces: amarok-common (<= 2:2.5.0-2),
+ amarok-help-de (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2:2.6~beta1-1ubuntu1~) 
+Breaks: amarok-common (<= 2:2.5.0-2),
+ amarok-help-de (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2:2.6~beta1-1ubuntu1~)
 Recommends: amarok (>= ${source:Version})
 Description: Amarok documentation (Handbook)
  This package contains Amarok user documentation. It can be opened from the
